IF EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'ChainName'
    WHERE SysObjects.Name = 'Allotments'
)
	ALTER TABLE Allotments DROP Column ChainName